Package net.shibboleth.spring.metadata.filter

# Class SignatureValidationParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.metadata.filter.AbstractMetadataFilterParser
net.shibboleth.spring.metadata.filter.SignatureValidationParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class SignatureValidationParser extends AbstractMetadataFilterParser
Parser for xsi:type="SignatureValidation".

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`static final QName`
`PUBLIC_KEY`
Element for embedded public keys.
`static final QName`
`TYPE_NAME`
Schema type name.

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`SignatureValidationParser()`

## Method Summary

Modifier and Type
Method
Description
`private BeanDefinition`
`buildCertificateCredential(String attribute)`
Build (the definition) for a X509 Credential.
`private BeanDefinition`
`buildPublicKeyCredential(ParserContext parserContext, List<Element> publicKeys)`
Build (the definition) for a BasicInline Credential.
`private void`
`buildTrustEngine(BeanDefinitionBuilder builder, BeanDefinition credential)`
Build a trust engine and populate it with the supplied credential (definition).
`protected void`
`doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected Class<?>`
`getBeanClass(Element element)`
`protected boolean`
`shouldGenerateId()`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type name.

### PUBLIC_KEY

@Nonnull public static final QName PUBLIC_KEY
Element for embedded public keys.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### SignatureValidationParser

public SignatureValidationParser()

## Method Details

### getBeanClass

@Nonnull protected Class<?> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(@Nonnull Element element, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractMetadataFilterParser`

### buildTrustEngine

private void buildTrustEngine(@Nonnull BeanDefinitionBuilder builder, @Nonnull BeanDefinition credential)
Build a trust engine and populate it with the supplied credential (definition).

Parameters:
  `builder` - the builder for this bean.
  `credential` - the definition of a `Credential`

### buildPublicKeyCredential

@Nonnull private BeanDefinition buildPublicKeyCredential(@Nonnull ParserContext parserContext, @Nullable List<Element> publicKeys)
Build (the definition) for a BasicInline Credential.

Parameters:
  `parserContext` - used for logging
  `publicKeys` - the list of <PublicKey> elements
Returns:
  the definition.

### buildCertificateCredential

@Nonnull private BeanDefinition buildCertificateCredential(@Nonnull @NotEmpty String attribute)
Build (the definition) for a X509 Credential.

Parameters:
  `attribute` - the name of the certificate file
Returns:
  the bean definition.

### shouldGenerateId

protected boolean shouldGenerateId()

Overrides:
  `shouldGenerateId` in class `AbstractBeanDefinitionParser`